Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.dom
Class XDBBinaryDocument

    java.lang.Object
      |
      +--oracle.xdb.dom.XDBNode
            |
            +--oracle.xdb.dom.XDBDocument
                  |
                  +--oracle.xdb.dom.XDBBinaryDocument

All Implemented Interfaces:
  Document, Node

public class XDBBinaryDocument
extends XDBDocument

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XDBBinaryDocument()`
`XDBBinaryDocument(java.sql.Connection conn)`
`XDBBinaryDocument(java.sql.Connection conn, long xobd)`

Method Summary
`java.io.InputStream` | `getStream()`
`void` | `setStream(java.io.InputStream is)`

Methods inherited from class oracle.xdb.dom.XDBDocument
`appendChild, close, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, finalize, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEnvNative, getFirstChild, getGP, getImplementation, getLastChild, getNextSibling, getNodeName, getOwnerDocument, getPreviousSibling, hasChildNodes, importNode, insertBefore, isClosed, removeChild, replaceChild`

Methods inherited from class oracle.xdb.dom.XDBNode
`cloneNode, equals, getAttributes, getChildNodes, getExpandedName, getLocalName, getNamespaceURI, getNodeFromCState, getNodeType, getNodeValue, getParentNode, getPrefix, getQualifiedName, getSchemaNode, hasAttributes, hashCode, isSupported, normalize, setNodeValue, setNodeXob, setOwner, setPrefix, setXobCstate, toCState, toString, write`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`cloneNode, getAttributes, getChildNodes, getLocalName, getNamespaceURI, getNodeType, getNodeValue, getParentNode, getPrefix, hasAttributes, isSupported, normalize, setNodeValue, setPrefix`

Constructor Detail

### XDBBinaryDocument

    public XDBBinaryDocument()

### XDBBinaryDocument

    public XDBBinaryDocument(java.sql.Connection conn)
                      throws java.lang.Exception

### XDBBinaryDocument

    public XDBBinaryDocument(java.sql.Connection conn,
                             long xobd)

Method Detail

### getStream

    public java.io.InputStream getStream()
                                  throws java.sql.SQLException

    `java.sql.SQLException`

### setStream

    public void setStream(java.io.InputStream is)
                   throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.